package com.sun.org.glassfish.gmbal;

import java.io.IOException;
import java.lang.annotation.Annotation;
import java.lang.reflect.AnnotatedElement;
import java.util.ResourceBundle;
import javax.management.MBeanServer;
import javax.management.ObjectName;

class ManagedObjectManagerNOPImpl implements ManagedObjectManager
{
    static final ManagedObjectManager self;
    private static final GmbalMBean gmb;
    
    private ManagedObjectManagerNOPImpl() {
    }
    
    @Override
    public void suspendJMXRegistration() {
    }
    
    @Override
    public void resumeJMXRegistration() {
    }
    
    @Override
    public boolean isManagedObject(Object obj) {
        return false;
    }
    
    @Override
    public GmbalMBean createRoot() {
        return ManagedObjectManagerNOPImpl.gmb;
    }
    
    @Override
    public GmbalMBean createRoot(Object root) {
        return ManagedObjectManagerNOPImpl.gmb;
    }
    
    @Override
    public GmbalMBean createRoot(Object root, String name) {
        return ManagedObjectManagerNOPImpl.gmb;
    }
    
    @Override
    public Object getRoot() {
        return null;
    }
    
    @Override
    public GmbalMBean register(Object parent, Object obj, String name) {
        return ManagedObjectManagerNOPImpl.gmb;
    }
    
    @Override
    public GmbalMBean register(Object parent, Object obj) {
        return ManagedObjectManagerNOPImpl.gmb;
    }
    
    @Override
    public GmbalMBean registerAtRoot(Object obj, String name) {
        return ManagedObjectManagerNOPImpl.gmb;
    }
    
    @Override
    public GmbalMBean registerAtRoot(Object obj) {
        return ManagedObjectManagerNOPImpl.gmb;
    }
    
    @Override
    public void unregister(Object obj) {
    }
    
    @Override
    public ObjectName getObjectName(Object obj) {
        return null;
    }
    
    @Override
    public Object getObject(ObjectName oname) {
        return null;
    }
    
    @Override
    public void stripPrefix(String... str) {
    }
    
    @Override
    public String getDomain() {
        return null;
    }
    
    @Override
    public void setMBeanServer(MBeanServer server) {
    }
    
    @Override
    public MBeanServer getMBeanServer() {
        return null;
    }
    
    @Override
    public void setResourceBundle(ResourceBundle rb) {
    }
    
    @Override
    public ResourceBundle getResourceBundle() {
        return null;
    }
    
    @Override
    public void addAnnotation(AnnotatedElement element, Annotation annotation) {
    }
    
    @Override
    public void setRegistrationDebug(ManagedObjectManager.RegistrationDebugLevel level) {
    }
    
    @Override
    public void setRuntimeDebug(boolean flag) {
    }
    
    @Override
    public String dumpSkeleton(Object obj) {
        return "";
    }
    
    @Override
    public void close() throws IOException {
    }
    
    @Override
    public void setTypelibDebug(int level) {
    }
    
    @Override
    public void stripPackagePrefix() {
    }
    
    @Override
    public void suppressDuplicateRootReport(boolean suppressReport) {
    }
    
    @Override
    public AMXClient getAMXClient(Object obj) {
        return null;
    }
    
    @Override
    public void setJMXRegistrationDebug(boolean flag) {
    }
    
    static {
        self = new ManagedObjectManagerNOPImpl();
        gmb = new GmbalMBeanNOPImpl();
    }
}
